Tagged Questions

The tag has no wiki summary.

learn more… | top users | synonyms

0
votes
0answers
157 views

apt-get fails with unmet dependencies

I have a server running Ubuntu 12.04 on AWS and I can no longer install anything on apt-get because I get this error: The following packages have unmet dependencies: mysql-server-5.5 : Depends: ...
0
votes
0answers
139 views

Remove pgdg-centos92-9.2-6.noarch.rpm or enable for install PostgreSQL in CentOS 6.5

I'm trying to install PostgreSQL 9.2.6 in CentOS 6.5 and I doing as follow: Install PostgreSQL 9.2 repository rpm -Uvh ...
3
votes
0answers
58 views

What do you use for automated testing of Debian package installations and updates?

I am using a Debian repo (based on reprepro) for Wheezy and custom packages. I modify my custom packages from time to time and test them manually on different systems, e.g.: Test a) Installation of ...
1
vote
0answers
580 views

Multilib version problems found when run the command “yum update”

On my VPS I run the command: yum update and I get this as a result: # yum update ... Setting up Update Process Resolving Dependencies --> Running transaction check ... ---> Package ...
2
votes
0answers
83 views

Easily spoof lsb_release output for different versions

I’m often rebuilding software packages (mostly Debian) for older versions (of both Debian and Ubuntu, including oldoldstable). Some of these packages use the lsb_release command to figure out the ...
2
votes
0answers
360 views

How to install a newer version of php on AWS Opsworks?

Our code base is using PHP 5.5 and we are wanting to deploy on AWS Opsworks however when selecting the PHP App Server layer we are told it has PHP 5.3. What I was hoping is that I could just use the ...
0
votes
2answers
131 views

How to Create Yum Cache Server for client machines in LAN

Like in Ubuntu we have the option of creating "Ubuntu update cache server" which downloads and update packages directly from internet and serves other client ubuntu machines for installing/updating ...
1
vote
2answers
138 views

Getting the URL to a debian .deb package

I'm trying to setup an IronWorker with PHP, and need to add the Imagick PECL extension or debian package's URL to the IronWorker .worker configuration. I've located the package for Ubuntu 12.04 on ...
1
vote
2answers
162 views

How to set up a local repository for ubuntu and add packages of your own [closed]

I want to make two things: First of all, I want to have my own repository of ubuntu in my servers to not overload the usage of Internet in my company and to control the updates. I think that I have ...
3
votes
1answer
431 views

How to create packages in SaltStack

I have installed Salt-master in my ubuntu 12.04 machine and salt minion in ubuntu 12.04. I want to install package containing like svn,mongodb,postgres,maven,python in the salt-minion. how to create ...
0
votes
0answers
139 views

rpm dependency failed to install, package installed anyway

I have this issue and I would like to understand why it is like this. I have build 3 really simple rpm packages called a, b and c, and I made a independant, b depending on a and c depending on a and ...
3
votes
1answer
2k views

ERROR with rpm_check_debug vs depsolve

Transaction Summary ========================================================================================================================================================== Install 9 ...
2
votes
3answers
1k views

Performance difference between compiled and binary linux distributions/packages

I was searching a lot on the internet and couldn't find an exact answer. There are distros like Gentoo (or FreeBSD) which does not come with binaries but only with source code for packages (ports). ...
1
vote
1answer
65 views

Check all debian binaries against the checksum of the original

I would like to check all binaries on my server against dpkg -e <path_to_deb_package> <destination> (for example rkhunter could do this check against the originals when doing ...
1
vote
2answers
4k views

Debian: can not install php5-suhosin and php5-apc

Just ordered a new Debian server and for some reason can not install php5-suhosin and php5-apc. Any ideas? apt-get install php5-suhosin Reading package lists... Done Building dependency tree Reading ...
0
votes
1answer
216 views

FreeBSD portupgrade error: Packages are not yet suported

I'm trying to update one of packages that I installed earlier but I'm running into this error: # portupgrade -PP wget USING PKGNG Packages are not yet suported. Use pkg(8) directly. # uname -a ...
2
votes
2answers
2k views

Centos: yum install libevent-devel conflict with compat-libevent

I want to install Logstash and others, but when I try: # yum install libevent-devel I get the errors below: Transaction Check Error: file /usr/bin/event_rpcgen.py from install of ...
-1
votes
1answer
179 views

Fedora update fails for “filesystem” package

I have Fedora 19 currently installed and the filesystem package has shown up in the updates. I find it a little peculiar on how to actually update the filesystem package. Running transaction ...
1
vote
3answers
432 views

PIP not installing to virtualenv directory

I am attempting to install django to a virtualenv that already exists. Following the instructions listed on the pip-install website here, I ran the following from SSH. name@server:~$ . ...
0
votes
0answers
29 views

How Do I Update a Package version and/or dependencies

The installed package libnet-amazon-ec2-perl uses v0.14.1. How do I update this package to use the latest stable release v0.22.1? When I try sudo apt-get --only-upgrade install ...
-2
votes
2answers
241 views

Learning Puppet Exercise - Installing httpd package and starting service [closed]

I'm working my way through the Learning Puppet guide on manifests, and I am stuck on the exercise at the bottom of the page which asks you to install the httpd package and start the httpd service. So ...
1
vote
1answer
424 views

Will passing an array as a value in puppet install my package?

I'm working through the puppet documentation. One of the exercises is to use some conditional logic to write a general install manifest: Exercise: Use the $operatingsystem fact to write a manifest ...
0
votes
2answers
54 views

Complete small business package linux [closed]

I'm looking for some sort of pack, for small business? We've got one server, but I need some sort of pack including Apache 2, MySQL, PHP, SMTP and POP3/IMAP? I'd prefer if I could get some sort of ...
0
votes
2answers
383 views

How can I exorcise a specific Ubuntu package that crashes on a postinstall script?

I have a libssl-dev package installed, possibly because I am not sure if I bypassed the package manager, and it's visible from the package manager but won't go away. ...
0
votes
1answer
123 views

How does one rebuild a single PHP extension package on Debian?

In trying to get ODBC PDO working with Microsoft's MSSQL driver on Debian I've found that I need to apply patches to the PHP extension (see https://bugs.php.net/bug.php?id=50444 for those patches). ...
0
votes
0answers
209 views

shell command queuing system linux (like atd)

I need to queue shell commands depending on current available resources. I know of atd and it's exactly the type of tool I would like to find but with consideration for RAM and possibly disk ...
0
votes
1answer
294 views

Which Package has net_tstamp.h?

I attempted to compile the source code here: http://os1a.cs.columbia.edu/lxr/source/Documentation/networking/timestamping/timestamping.c?a=x86;v=2.6.32 However, I got a compiler error: error: ...
0
votes
1answer
75 views

Installing pear package debian squees

I try to install the php pear package on my debian server but I got the follow error ouput. :~# sudo apt-get install php-pear Reading package lists... Done Building dependency tree Reading ...
0
votes
1answer
205 views

Debian // synchronize packages/version between multiple servers

I'm currently managing a dozen servers. apt-cacher-ng is installed on the development server to maintain the packages. The idea is to have exactly the same version and number of packages on the ...
10
votes
1answer
283 views

What is the shock rating / g-force load of a typical assembled computer?

TLDR: for insurance purposes, we want to alert the recipient of a shipped assembled computer that there might be damage to the components via a shockwatch label. What G-force rating should we use? ...
0
votes
0answers
1k views

pkgrm + force remove of solaris pkg

I need to remove the pkg TIME-SV from my solaris 10 ( I need to use the pkgrm -a none ) to force removing but pkgrm ask me about "Enter path to package base directory" which PATH I need to enter ? ...
0
votes
1answer
47 views

Staying up to date with Bugs/Patches [duplicate]

Possible Duplicate: How to stay up to date with the latest information about UNIX software patches and upgrades? I am learning system admin stuff on the side at home for some near future ...
1
vote
1answer
79 views

How to install packages on debian lenny 5.0

I'm working with Debian Lenny 5.0 and I'm trying to replicate an environment. The problem is that when I try to update aptitude.. it looks like the servers aren't online anymore. Is there any way for ...
3
votes
1answer
317 views

Check for updates of a specific Debian package list

The setup I run a Debian Squeeze host that I use to build a multilanguage project (python, java, php...) and generate custom packages (debian and RPM) automatically (through jenkins) The problem ...
1
vote
1answer
158 views

Is ffmpeg incorrectly interpreting .aif files?

Being on an Ubuntu 10.04 server i installed the ffmpeg packages with apt. ffmpeg is working afterwards, and doing as it should. Almost. For testing purposes i uploaded a few audiofiles. One of them, ...
2
votes
1answer
4k views

How to install/enable GMP (math functions) for PHP on Ubuntu?

When calling a gmp math function like gmp_mod, I get: Fatal error: Call to undefined function gmp_mod() I have installed the php5-gmp package and restarted the web-server, and the function is still ...
-2
votes
1answer
501 views

OneClick install software to automatically install packages like wordpress [closed]

All the hosts now have One Click install for packages like Wordpress, Drupal and so on. Is there oneclick installer software that I can install on my VPS that gives me the ability to have one click ...
1
vote
1answer
215 views

Overriding dpkg admindir from apt-get options (debian/ubuntu linux)

As part of an OS deployment, I need to maintain sets of debian packages independently of the host operating system. It's pretty straightforward to override the Apt settings for the cache and lists, ...
1
vote
1answer
34 views

Are packages override each other?

I need to install libstdc++.so.5 and libstdc++.so.6 packages. If I install 6 version of package (assuming I have already installed 5 version) it will override 5 version? Or these packages can exist ...
1
vote
2answers
692 views

CentOS 6 Kickstart Minimal Install: for JVM, MySQL, and Apache VMs

Trying to put together a kickstart as per this file for "true" minimal installations of CentOS 6 to run on an ESXi (v4.1u2) virtualization server (lives behind a Cisco ASA) Ideally the OS footprint ...
0
votes
2answers
3k views

Ubuntu Server 12.04 Unable to locate package dhcp3-server

I have done a fresh install of Ubuntu Server version 12.04 and am trying to install a dhcp server package using the following command: sudo apt-get install dhcp3-server However I get this: Reading ...
3
votes
2answers
2k views

Installing php5-imagick in Ubuntu 12.04 w/ ondrej packages results in dependency error

I've been trying to setup an Ubuntu 12.04 VM that is running PHP 5.4 with the imagick module. All the results I find on google say to use the ondrej packages, which for the most part works perfectly. ...
1
vote
0answers
140 views

mini-dinstall chmod 0600 changes file: Operation not permitted

I'm getting "Operation not permitted" in the mini-dinstall.log everytime a new debian package has been uploaded on the custom debian repository using dput. The deb file is installed successfuly but ...
0
votes
1answer
117 views

How to install Gamooga server on centOS?

I'm trying to run Gamooga server on my centOS box, but unfortunately there are some required packages which is not available for centOS (at least I couldn't find them). The required packages are ...
6
votes
3answers
638 views

Why is bluetooth support one of the default packages in “Base” when doing an RHEL/CentOS server install? [closed]

This is an issue that has bugged me for a long time - why would the default server installation of RHEL?CentOS include desktop/laptop packages like bluetooth? When using kickstart, I will usually ...
1
vote
4answers
5k views

How to manually download individual files from the OpenIndiana (or Solaris) pkg repo?

For a server in an offline environment, how would I download a package from http://pkg.openindiana.org/dev? (or the better known http://pkg.oracle.com) There is an install link which downloads a p5i ...
1
vote
0answers
40 views

Easy packages versions management

Can anyone recommend about a way to have an up-to-date list of packages? I know that I can register to the mailing list / RSS feeds (if available) of each and every package, but this creates much ...
2
votes
3answers
4k views

How to install package with yum without updating?

I want to install some packages from repository but always when I'm trying to yum install packagename yum updates db: Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit Determining ...
4
votes
1answer
375 views

Get a list of the licences of all packages on Ubuntu system [closed]

I want to check what licenses all the packages on my system is running under. It seems like this information is located in /usr/share/doc/package/copyright However this file seems like it does not ...
1
vote
1answer
1k views

RHEL package containing JCE (Java) Unlimited Strength Jurisdiction Policy Files to support higher level encryption?

Are there packages for RHEL and distros based on it (CentOS, Scientific Linux, etc.) that contain the Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files so that higher ...